<?php

namespace Drupal\tome\Event;

/**
 * Defines events for Tome.
 */
final class TomeEvents {

  /**
   * Name of the event fired when collecting paths for the static generator.
   *
   * @Event
   *
   * @see \Drupal\tome\Event\CollectPathsEvent
   *
   * @var string
   */
  const COLLECT_PATHS = 'tome.collect_paths';

  /**
   * Name of the event fired when replacing a path placeholder.
   *
   * @Event
   *
   * @see \Drupal\tome\Event\PathPlaceholderEvent
   *
   * @var string
   */
  const PATH_PLACEHOLDER = 'tome.path_placeholder';

  /**
   * Name of the event fired after a single content entity is exported.
   *
   * @Event
   *
   * @see \Drupal\tome\Event\ContentCrudEvent
   *
   * @var string
   */
  const EXPORT_CONTENT = 'tome.export_content';

  /**
   * Name of the event fired after a single content entity is deleted.
   *
   * @Event
   *
   * @see \Drupal\tome\Event\ContentCrudEvent
   *
   * @var string
   */
  const DELETE_CONTENT = 'tome.delete_content';

  /**
   * Name of the event fired after a single content entity is imported.
   *
   * @Event
   *
   * @see \Drupal\tome\Event\ContentCrudEvent
   *
   * @var string
   */
  const IMPORT_CONTENT = 'tome.import_content';

  /**
   * Name of the event fired after the entire export process is complete.
   *
   * @Event
   *
   * @see \Symfony\Component\EventDispatcher\Event
   *
   * @var string
   */
  const EXPORT_ALL = 'tome.export_all';

  /**
   * Name of the event fired after the entire import process is complete.
   *
   * @Event
   *
   * @see \Symfony\Component\EventDispatcher\Event
   *
   * @var string
   */
  const IMPORT_ALL = 'tome.import_all';

}
